StartupEvents.registry('block', event => {
    event.create('tfc:golden_grass','basic')
        .hardness(0.6)
        .tagBlock('minecraft:mineable/shovel')
        .displayName('黄金草地')
        .grassSoundType()
        .tagItem("tfc:grass")
        .tagBlock("minecraft:enderman_holdable")
        .tagBlock("farmersdelight:terrain")
        .tagBlock("tfc:wild_crop_grows_on")
        .tagBlock("tfc:grass_plantable_on")
        .tagBlock("tfc:creeping_plantable_on")
        .tagBlock("tfc:sea_bush_plantable_on")
        .tagBlock("minecraft:bamboo_plantable_on")
        .tagBlock("firmalife:pipe_replaceable")
        .tagBlock("minecraft:overworld_carver_replaceables")
        .tagBlock("tfc:powder_snow_replaceable")
        .tagBlock("tfc:monster_spawns_on")
        .tagBlock("tfc:powderkeg_breaking_blocks")
        .tagBlock("minecraft:moss_replaceable")
        .tagBlock("tfc:can_landslide")
        .tagBlock("tfc:spreading_fruit_grows_on")
        .tagBlock("tfc:grass")
        .tagBlock("tfc:tree_grows_on")
        .tagBlock("minecraft:dirt")
        .tagBlock("tfc:bush_plantable_on")
})